Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.filter
Class UrlRewriteFilter

    java.lang.Object
      com.atlassian.bamboo.filter.UrlRewriteFilter

    public class UrlRewriteFilter

extends Object

Field Summary
`static String` | `ACTION_AUTHOR`
`static String` | `ACTION_COMMIT`
`static String` | `ACTION_HISTORY`
`static String` | `ACTION_ISSUE`
`static String` | `ACTION_LABEL`
`static String` | `ACTION_LATEST`
`static String` | `ACTION_TEST`
`static String` | `ACTION_USER`
`static String` | `FILTER_MAP_PREFIX`

Constructor Summary
`UrlRewriteFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(ServletRequest request, ServletResponse response, FilterChain chain)`
`void` | `init(FilterConfig filterConfig)`
`static String[]` | `splitOmittingEmptyStrings(String regex, String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILTER_MAP_PREFIX

    public static final String FILTER_MAP_PREFIX

See Also:
  Constant Field Values

### ACTION_HISTORY

    public static final String ACTION_HISTORY

See Also:
  Constant Field Values

### ACTION_LATEST

    public static final String ACTION_LATEST

See Also:
  Constant Field Values

### ACTION_COMMIT

    public static final String ACTION_COMMIT

See Also:
  Constant Field Values

### ACTION_TEST

    public static final String ACTION_TEST

See Also:
  Constant Field Values

### ACTION_USER

    public static final String ACTION_USER

See Also:
  Constant Field Values

### ACTION_AUTHOR

    public static final String ACTION_AUTHOR

See Also:
  Constant Field Values

### ACTION_LABEL

    public static final String ACTION_LABEL

See Also:
  Constant Field Values

### ACTION_ISSUE

    public static final String ACTION_ISSUE

See Also:
  Constant Field Values

Constructor Detail

### UrlRewriteFilter

    public UrlRewriteFilter()

Method Detail

### init

    public void init(FilterConfig filterConfig)
              throws ServletException

  Throws:
    `ServletException`

### doFilter

    public void doFilter(ServletRequest request,
                         ServletResponse response,
                         FilterChain chain)
                  throws IOException,
                         ServletException

  Throws:
    `IOException`
    `ServletException`

### destroy

    public void destroy()

### splitOmittingEmptyStrings

    public static String[] splitOmittingEmptyStrings(String regex,
                                                     String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.